x
URGENT MESSAGE: Log4j Zero-Day Vulnerability Response| Learn more
×
Why CIS Solutions Join CIS Resources
CIS WorkBench Sign-in CIS WorkBench Sign In CIS Hardened Images CIS Hardened Images Support CIS Support


Why CIS

Who We Are

CIS is an independent, nonprofit organization with a mission to create confidence in the connected world



About Us Leadership Principles Testimonials

Solutions

secure your organization
Secure Your Organization


secure specific platforms
Secure Specific Platforms


cis securesuite CIS SecureSuite® Learn More      Apply Now  
u s state local tribal and territorial governments
U.S. State, Local, Tribal & Territorial Governments


View All Products & Services  

Join CIS

Get Involved

Join CIS as a member, partner, or volunteer - or explore our career opportunities



CIS SecureSuite® Membership Multi-State ISAC (MS-ISAC®) Elections Infrastructure ISAC (EI-ISAC®) CIS CyberMarket® Vendors CIS Communities Careers

Resources

resources
Resources


learn
Learn


filter by topic
Filter by Topic


View All Resources  
CIS Logo Show Search Expand Menu

Multiple Vulnerabilities in Google Android OS Could Allow for Remote Code Execution

MS-ISAC ADVISORY NUMBER:

2021-155

DATE(S) ISSUED:

12/07/2021

OVERVIEW:

Multiple vulnerabilities have been discovered in the Google Android operating system (OS), the most severe of which could allow for remote code execution. Android is an operating system developed by Google for mobile devices, including, but not limited to, smartphones, tablets, and watches. Successful exploitation of the most severe of these vulnerabilities could allow for remote code execution within the context of a privileged process. Depending on the privileges associated with this application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

THREAT INTELLIGENCE:

There are currently no reports of these vulnerabilities being exploited in the wild.

RISK:

Government:
  • Large and medium government entities: HIGH
  • Small government entities: HIGH
Businesses:
  • Large and medium business entities: HIGH
  • Small business entities: HIGH
Home Users:
LOW

TECHNICAL SUMMARY:

Multiple vulnerabilities have been discovered in Google Android OS, the most severe of which could allow for remote code execution within the context of a privileged process. Details of these vulnerabilities are as follows:

  • Multiple vulnerabilities in Framework that could enable a local attacker to gain access to additional permissions with no user interaction required. (CVE-2021-0955, CVE-2021-0970, CVE-0704, CVE-2021-0971)
  • Multiple vulnerabilities in Media Framework that could lead to remote information disclosure with no additional execution privileges needed (CVE-2021-0967, CVE-2021-0964)
  • A vulnerability in Media Framework that could lead to remote code execution (CVE-2021-0967)
  • Multiple vulnerabilities in System could enable a remote attacker to execute arbitrary code within the context of a privileged process (CVE-2021-0968, CVE-2021-0956, CVE-2021-0453, CVE-2021-0654, CVE-2021-0963, CVE-2021-0965, CVE-2021-0952, CVE-2021-0966, CVE-2021-0958, CVE-2021-0969)
  • Multiple vulnerabilities in Project Mainline components. (CVE-2021-0964, CVE-2021-0967, CVE-2021-0971)
  • Multiple vulnerabilities in Kernel components that could lead to an integer overflow, an Out-of Bounds Write, and escalation to root by an unprivileged user (CVE-2021-33909, CVE-2021-38204, CVE-2021-0961)
  • Multiple vulnerabilities in MediaTek components. (CVE-2021-0675, CVE-2021-0904)
  • Multiple high severity vulnerabilities in Qualcomm components. (CVE-2021-30262, CVE-2021-30335, CVE-2021-30337)
  • Multiple high and critical severity vulnerabilities in Qualcomm closed-source components. (CVE-2021-30275, CVE-2021-30276, CVE-2021-30351, CVE-2020-11263, CVE-2021-1894, CVE-2021-1918, CVE-2021-30267, CVE-2021-30268, CVE-2021-30269, CVE-2021-30270, CVE-2021-30271, CVE-2021-30272, CVE-2021-30273, CVE-2021-30274, CVE-2021-30278, CVE-2021-30279, CVE-2021-30282, CVE-2021-30283, CVE-2021-30289, CVE-2021-30293, CVE-2021-30303, CVE-2021-30336)

Successful exploitation of the most severe of these vulnerabilities could allow for remote code execution within the context of a privileged process. Depending on the privileges associated with this application, an attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. If this application has been configured to have fewer user rights on the system, exploitation of the most severe of these vulnerabilities could have less impact than if it was configured with administrative rights.

RECOMMENDATIONS:

  • Apply appropriate updates by Google Android or mobile carriers to vulnerable systems, immediately after appropriate testing.
  • Remind users to only download applications from trusted vendors in the Play Store.
  • Remind users not to visit un-trusted websites or follow links provided by unknown or un-trusted sources.
  • Inform and educate users regarding threats posed by hypertext links contained in emails or attachments, especially from un-trusted sources.

REFERENCES:

CVE:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11263 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0675 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0704 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0904 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0952 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0953 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0954 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0955 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0956 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0958 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0961 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0963 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0964 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0965 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0966 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0967 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0968 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0969 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0970 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0971 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1894 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1918 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30262 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30267 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30268 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30269 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30270 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30271 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30272 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30273 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30274 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30275 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30276 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30278 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30279 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30282 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30283 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30289 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30293 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30303 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30335 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30336 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30337 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-33909 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-38204

Get Email Updates When Cyber Threats Like This Arise

Arrow Subscribe to Advisories

Related Resources





Arrow Google Android

Information Hub : Advisories


CONTROL: 1 --- ADVISORY CONTROL: 0
CONTROL: 2 --- ADVISORY CONTROL: 0

Pencil Newsletter 13 Jan 2022
CONTROL: 3 --- ADVISORY CONTROL: 0
CONTROL: 4 --- ADVISORY CONTROL: 0

Pencil Blog post 12 Jan 2022